package com.supervision.manage.pojo.vo;

import lombok.Data;

/**
 * 病历检查项
 */
@Data
public class MedicalRecCheckResVO {

    private String name;

    private String location;

    /**
     * 是否初步诊断依据(0否1是)
     */
    private Integer isPrimarilyDiagnosisCriteria;

    /**
     * 是否必查-初步诊断依据(0否1是)
     */
    private Integer requireCheck;

    /**
     * 是否是正式诊断依据(0否1是)
     */
    private Integer basisConfirm;

    /**
     * 是否是鉴别依据(0否1是)
     */
    private Integer basisIdentification;
}
