package com.supervision.manage.pojo.vo;

import com.supervision.vo.manage.DiseaseAncillaryResVo;
import com.supervision.vo.manage.DiseasePhysicalResVo;
import com.supervision.vo.manage.DiseaseTreatmentPlanResVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "病历管理详细信息", parent = MedicalRecManageVO.class)
public class MedicalRecInfoVO extends MedicalRecManageVO {

    @ApiModelProperty("疾病名称")
    private  String diseaseName;

    @ApiModelProperty("辅助检查")
    private List<DiseaseAncillaryResVo> ancillaryList;

    @ApiModelProperty("体格检查")
    private List<DiseasePhysicalResVo> physicalList;

    @ApiModelProperty("处置计划列表")
    private List<DiseaseTreatmentPlanResVo> treatmentPlanList;

}
