package com.supervision.manage.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class MedicalRecQaVO {

    @ApiModelProperty("本条问答ID,对应vp_ask_patient_answer表ID,更新必填")
    private String id;

    /**
     * 问题库问题ID
     */
    @ApiModelProperty(" 问题库问题ID,新增更新时必填")
    private String libraryQuestionId;

    @ApiModelProperty("问题,新增更新时不需要")
    private List<String> questionList;

    @ApiModelProperty("字典ID,新增更新时不需要")
    private Long dictId;

    @ApiModelProperty("问题类目,新增更新时不需要")
    private String dictNamePath;

    @ApiModelProperty("默认回答,新增更新时不需要")
    private String defaultAnswer;

    @ApiModelProperty("针对病例的特定回答,新增更新时必填")
    private String medicalRecAnswer;



}
