package com.supervision.manage.service;

import com.supervision.model.DiseaseAncillary;
import com.supervision.vo.ask.AncillaryItemReqVo;
import com.supervision.vo.ask.ConfigAncillaryItemResVO;
import com.supervision.vo.manage.DiseaseAncillaryResVo;

import java.util.List;

public interface DiseaseAncillaryManageService {

    List<DiseaseAncillaryResVo> queryListByDiseaseId(String diseaseId);

    DiseaseAncillary saveAncillary(DiseaseAncillary diseaseAncillary);

    boolean deleteDiseaseAncillary(String id);

    boolean updateAncillary(DiseaseAncillary diseaseAncillary);


    boolean deleteByDiseaseId(String diseaseId);


    List<ConfigAncillaryItemResVO> queryAncillaryItemList(AncillaryItemReqVo ancillaryItemReqVo);


}
