package com.supervision.manage.service;

import com.supervision.model.ConfigTreatmentPlan;
import com.supervision.model.DiseaseTreatmentPlan;
import com.supervision.vo.manage.DiseaseTreatmentPlanResVo;
import com.supervision.vo.manage.DiseaseTreatmentPlanTreeNode;

import java.util.List;

public interface DiseaseTreatmentPlanManageService {

    List<DiseaseTreatmentPlanResVo> queryListByDiseaseId(String diseaseId);

    DiseaseTreatmentPlan saveTreatmentPlan(DiseaseTreatmentPlan diseaseTreatmentPlan);

    void batchSaveTreatmentPlan(List<DiseaseTreatmentPlan> diseaseTreatmentPlanList);

    boolean deleteDiseaseTreatmentPlan(String id);

    boolean deleteByDiseaseId(String diseaseId);

    List<DiseaseTreatmentPlanTreeNode> queryDiseaseTreatmentPlanTree(Integer disposalMethod, String diseaseId);
}
