package com.supervision.manage.service.impl;

import com.baomidou.mybatisplus.extension.conditions.query.LambdaQueryChainWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.manage.service.AskQuestionLibraryManageService;
import com.supervision.model.CommonDic;
import com.supervision.service.AskTemplateQuestionLibraryService;
import com.supervision.service.CommonDicService;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@RequiredArgsConstructor
public class AskQuestionLibraryManageServiceImpl implements AskQuestionLibraryManageService {

    private final AskTemplateQuestionLibraryService askTemplateQuestionLibraryService;

    private final CommonDicService commonDicService;
    @Override
    public List<AskQuestionLibraryResVo> queryList(AskQuestionLibraryReqVo askQuestionLibraryReqVo) {


        return askTemplateQuestionLibraryService.queryList(askQuestionLibraryReqVo);
    }

    @Override
    public Page<AskQuestionLibraryResVo> queryPageList(Integer pageNum, Integer pageSize,
                                                       AskQuestionLibraryReqVo askQuestionLibraryReqVo) {

        return askTemplateQuestionLibraryService.queryPageList(pageNum,pageSize,askQuestionLibraryReqVo);
    }

    @Override
    public List<CommonDic> queryItemList() {
        return commonDicService.lambdaQuery().eq(CommonDic::getGroupCode, "AQT").isNull(CommonDic::getParentId).list();
    }
}
