package com.supervision.manage.service.impl;

import com.supervision.manage.service.PhysicalToolManageService;
import com.supervision.service.ConfigPhysicalToolService;
import com.supervision.vo.ask.ConfigPhysicalToolResVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
@RequiredArgsConstructor
public class PhysicalToolManageServiceImpl implements PhysicalToolManageService {

    private final ConfigPhysicalToolService configPhysicalToolService;
    @Override
    public List<ConfigPhysicalToolResVO> queryPhysicalToolList() {
        return configPhysicalToolService.queryPhysicalToolList();
    }
}
