package com.supervision.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.AskTemplateQuestionLibrary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_ask_template_question_library(诊断问询意图问题库)】的数据库操作Mapper
* @createDate 2023-11-03 11:13:26
* @Entity com.supervision.model.AskTemplateQuestionLibrary
*/
public interface AskTemplateQuestionLibraryMapper extends BaseMapper<AskTemplateQuestionLibrary> {

    List<AskQuestionLibraryResVo> queryList(@Param("askQuestionLibrary")AskQuestionLibraryReqVo askQuestionLibraryReqVo);


    Page<AskQuestionLibraryResVo> queryPageList(IPage<AskQuestionLibraryResVo> page,
                                                @Param("askQuestionLibrary") AskQuestionLibraryReqVo askQuestionLibrary);
}




