package com.supervision.mapper;

import com.supervision.model.DiagnosisPrimary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.ask.DiagnosisPrimaryVO;
import com.supervision.vo.ask.DiagnosticBasisForPrimaryResVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_primary(初步诊断表)】的数据库操作Mapper
* @createDate 2023-10-26 11:33:21
* @Entity com.supervision.model.DiagnosisPrimary
*/
public interface DiagnosisPrimaryMapper extends BaseMapper<DiagnosisPrimary> {

    List<DiagnosisPrimaryVO> queryAskPrimaryList(@Param("processId") String processId);

    List<DiagnosisPrimaryVO> queryAskPrimaryListByProcessIds(@Param("processIds") List<String> processIds);

    List<DiagnosticBasisForPrimaryResVO> queryDiagnosticBasisListForPrimary(@Param("processId") String processId);

}




