package com.supervision.mapper;

import com.supervision.model.DiseasePhysical;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.manage.DiseasePhysicalResVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_disease_physical(疾病体格检查)】的数据库操作Mapper
* @createDate 2023-10-20 17:19:21
* @Entity com.supervision.model.DiseasePhysical
*/
public interface DiseasePhysicalMapper extends BaseMapper<DiseasePhysical> {

    List<DiseasePhysicalResVo> queryListByDiseaseId(@Param("diseaseId") String diseaseId);

}




