package com.supervision.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.DiseaseQuestion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import com.supervision.vo.manage.DiseaseQuestionResVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【vp_disease_question_relation(疾病问题关联表)】的数据库操作Mapper
* @createDate 2023-11-23 14:06:54
* @Entity com.supervision.model.DiseaseQuestionRelation
*/
public interface DiseaseQuestionMapper extends BaseMapper<DiseaseQuestion> {

    List<DiseaseQuestionResVo> queryPageByDiseaseId(@Param("diseaseId") String diseaseId);

    Page<AskQuestionLibraryResVo> queryQaLibPageList(IPage<AskQuestionLibraryResVo> page,
                                                     @Param("askQuestionLibrary") AskQuestionLibraryReqVo askQuestionLibraryReqVo);
}




