package com.supervision.mapper;

import com.supervision.model.ProcessMedical;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.ask.ProcessMedicalResVo;
import org.apache.ibatis.annotations.Param;

/**
* @author flevance
* @description 针对表【vp_process_medical(问诊流程病历)】的数据库操作Mapper
* @createDate 2023-11-23 14:32:44
* @Entity com.supervision.model.ProcessMedical
*/
public interface ProcessMedicalMapper extends BaseMapper<ProcessMedical> {

    ProcessMedicalResVo findByProcessId(@Param("processId") String processId);
}




