package com.supervision.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 处置计划药物关联表
 * @TableName vp_treatment_plan_drug
 */
@TableName(value ="vp_disease_treatment_plan_drug")
@Data
public class DiseaseTreatmentPlanDrug implements Serializable {
    /**
     * 主键id
     */
    private String id;

    /**
     * 疾病id
     */
    private String diseaseId;

    /**
     * 处置计划id
     */
    private String treatmentPlanId;

    /**
     * 药品id
     */
    private String drugId;

    /**
     * 创建人id
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}