package com.supervision.service;

import com.supervision.model.ConfigAncillaryItem;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.ask.AncillaryItemReqVo;
import com.supervision.vo.ask.ConfigAncillaryItemResVO;
import com.supervision.vo.result.ConfigAncillaryItemVo;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_config_ancillary_item(辅助检查项目配置表)】的数据库操作Service
* @createDate 2023-10-20 17:19:21
*/
public interface ConfigAncillaryItemService extends IService<ConfigAncillaryItem> {


    List<ConfigAncillaryItemVo> queryVoList(AncillaryItemReqVo ancillaryItemReqVo);

    List<ConfigAncillaryItemResVO> queryAncillaryItemList(AncillaryItemReqVo ancillaryItemReqVo);
}
