package com.supervision.service;

import com.supervision.model.DiagnosisPrimary;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.ask.DiagnosisPrimaryVO;
import com.supervision.vo.ask.DiagnosticBasisForPrimaryResVO;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_primary(初步诊断表)】的数据库操作Service
* @createDate 2023-10-26 11:33:21
*/
public interface DiagnosisPrimaryService extends IService<DiagnosisPrimary> {

    List<DiagnosisPrimaryVO> queryAskPrimaryList(String processId);

    List<DiagnosisPrimaryVO> queryAskPrimaryListByProcessIds(List<String> processIds);

    List<DiagnosticBasisForPrimaryResVO> queryDiagnosticBasisListForPrimary(String processId);

}
