package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.ConfigTreatmentPlan;
import com.supervision.model.DiseaseTreatmentPlan;
import com.supervision.service.DiseaseTreatmentPlanService;
import com.supervision.mapper.DiseaseTreatmentPlanMapper;
import com.supervision.vo.manage.DiseaseTreatmentPlanResVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【vp_disease_treatmen_relation(疾病处置计划关联表)】的数据库操作Service实现
* @createDate 2023-11-23 10:43:28
*/
@Service
public class DiseaseTreatmentPlanServiceImpl extends ServiceImpl<DiseaseTreatmentPlanMapper, DiseaseTreatmentPlan>
    implements DiseaseTreatmentPlanService {
    @Override
    public List<DiseaseTreatmentPlanResVo> queryListByDiseaseId(String diseaseId) {

        return super.getBaseMapper().queryListByDiseaseId(diseaseId);
    }
}




