package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.ProcessMedical;
import com.supervision.service.ProcessMedicalService;
import com.supervision.mapper.ProcessMedicalMapper;
import com.supervision.vo.ask.ProcessMedicalResVo;
import org.springframework.stereotype.Service;

/**
* @author flevance
* @description 针对表【vp_process_medical(问诊流程病历)】的数据库操作Service实现
* @createDate 2023-11-23 14:32:44
*/
@Service
public class ProcessMedicalServiceImpl extends ServiceImpl<ProcessMedicalMapper, ProcessMedical>
    implements ProcessMedicalService{

    @Override
    public ProcessMedicalResVo findByProcessId(String processId) {

        return super.getBaseMapper().findByProcessId(processId);
    }
}




