package com.supervision.vo.ask;

import com.fasterxml.jackson.annotation.JsonFilter;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.supervision.model.DiagnosisPrimary;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
@ApiModel
public class AskAncillaryHistoryResVO {

    @ApiModelProperty("辅助检查记录ID")
    private String id;

    @ApiModelProperty("类目")
    private String type;

    @ApiModelProperty("辅助检查项名称")
    private String itemName;

    @ApiModelProperty("辅助检查项ID")
    private String itemId;

    @ApiModelProperty("辅助检查项结果")
    private String result;

    @ApiModelProperty("关联的初步诊断ID")
    private String primaryId;

    @ApiModelProperty("是否诊断判读 0不需要 1需要")
    private Integer diagnosisAssessmentFlag;

    @ApiModelProperty("关联的初步诊断")
    private List<DiagnosisPrimaryVO> primaryList;

    @ApiModelProperty("检查时间")
    private LocalDateTime createTime;
}
