package com.supervision.vo.ask;

import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.List;
import java.util.Set;

@Data
public class DiagnosticBasisForPrimaryResVO {

    @ApiModelProperty("本项ID")
    private String id;

    @ApiModelProperty("阶段,1问诊 2体格检查 3辅助检查")
    private Integer type;

    @ApiModelProperty("身体部位")
    private String locationName;

    @ApiModelProperty("检查类目")
    private String category;

    @ApiModelProperty("问诊项目")
    private String item;

    @ApiModelProperty("初步诊断名称")
    private String primaryName;

    @ApiModelProperty("初步诊断ID列表")
    private List<String> primaryIdList;

    @ApiModelProperty("是否是证实诊断依据(0否1是)")
    private Integer basisConfirmFlag;

    @ApiModelProperty("是否是鉴别依据(0否1是)")
    private Integer basisIdentificationFlag;



}
