package com.supervision.vo.ask;

import cn.hutool.core.bean.BeanUtil;
import com.supervision.model.ProcessMedical;
import lombok.Data;

import java.util.Objects;

@Data
public class ProcessMedicalLayerResVo {

    private ProcessMedicalResVo base;
    private ProcessMedical processMedical;


    public static ProcessMedicalLayerResVo ProcessMedicalResVoToBean(ProcessMedicalResVo processMedical){
        if (Objects.isNull(processMedical)){
            return null;
        }
        ProcessMedicalLayerResVo bean = new ProcessMedicalLayerResVo();
        bean.processMedical = BeanUtil.toBean(processMedical, ProcessMedical.class);
        bean.base = processMedical;
        return bean;
    }
}
