package com.supervision.vo.manage;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class DiseasePhysicalLocationNodeVo {

    /**
     * 身体部位id
     */
    private String id;

    /**
     * 编码
     */
    @ApiModelProperty("编码")
    private String code;

    /**
     * 位置分类
     */
    @ApiModelProperty("位置分类")
    private String locationClass;

    /**
     * 位置名称
     */
    @ApiModelProperty("位置名称")
    private String locationName;


    @ApiModelProperty("部位层级")
    private String level;

    @ApiModelProperty("父级Id")
    private String parentId;

    @ApiModelProperty("标识 true:已选择 false:未选择")
    private boolean flag;

    private List<DiseasePhysicalLocationNodeVo> child;
}
