package com.supervision.vo.result;

import com.supervision.model.ConfigAncillaryItem;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class ConfigAncillaryItemVo extends ConfigAncillaryItem {

    @ApiModelProperty("执行状态; 0: 未检查 1: 已检查")
    private Integer execStatus;

    @ApiModelProperty("标识 true:已选择 false:未选择")
    private boolean flag;

    @ApiModelProperty("检查项id路径")
    private List<String> itemIdPath;

}
