package com.supervision.vo.result;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class DiagnoseProcessResVo {

    @ApiModelProperty("流程实例id")
    private String processId;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("任务状态  0:待问诊 1:待处置 2:已评估")
    private String status;

    @ApiModelProperty("最近问诊时间")
    private LocalDateTime time;


    @ApiModelProperty("病例编号")
    private String medicalRecId;

    @ApiModelProperty("主诉")
    private String patientSelfDesc;


    @ApiModelProperty("病人id")
    private String patientId;

    @ApiModelProperty("病人姓名")
    private String name;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("资源id")
    private String resourceId;

    @ApiModelProperty("初步诊断疾病名")
    private List<String> primaryDiseaseNameList;
}
