package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
@ApiModel
public class AskPhysicalResultReqVO {

    @NotBlank(message = "体格检查工具ID不能为空")
    @ApiModelProperty("体格检查工具ID")
    private String toolId;

    @ApiModelProperty("位置编码")
    private String locationCode;

    @ApiModelProperty("初步诊断ID列表")
    private List<String> primaryIdList;

    @NotBlank(message = "流程ID不能为空")
    @ApiModelProperty("流程ID")
    private String processId;

}
