package com.supervision.pojo.vo;

import com.supervision.model.TreatmentPlanRecord;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class DealPlanResVO {

    @ApiModelProperty("用户的治疗计划类型(0门诊 1住院)")
    private Integer userTreatmentPlanType;

    @ApiModelProperty("处置方案列表")
    private List<? extends TreatmentPlanRecord> drugTreatmentPlan;

    private List<? extends TreatmentPlanRecord> otherTreatmentPlan;

}
