package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class LoginResVO {

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("用户账户")
    private String account;

    @ApiModelProperty("用户名称")
    private String name;

    @ApiModelProperty("用户角色编码，0管理员 1普通用户(学生) 2运营人员(配置)")
    private String roleCode;

    @ApiModelProperty("token")
    private String token;

    @ApiModelProperty(hidden = true)
    private static final long serialVersionUID = 1L;
}
