package com.supervision.pojo.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.supervision.model.DiagnosisPrimary;
import com.supervision.model.DiagnosisPrimaryRelation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@ApiModel
public class SaveDiagnosisPrimaryReqVO  {

    /**
     * 诊断流程ID
     */
    @ApiModelProperty("诊断流程ID")
    private String processId;

    /**
     * 初步诊断疾病,关联disease表ID
     */
    @ApiModelProperty("初步诊断疾病ID,关联disease表ID")
    private String primaryDiagnosisId;

    @ApiModelProperty("患者病情(初步诊断填写)")
    private String patientDiseaseInfo;

    @ApiModelProperty("问诊ID列表")
    private List<String> askIdList;

    @ApiModelProperty("辅助检查ID列表")
    private List<String> ancillaryIdList;

    @ApiModelProperty("体格检查ID列表")
    private List<String> physicalIdList;


}
