package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class UserInfoResVo {

    @ApiModelProperty("用户id")
    private String id;

    @ApiModelProperty("用户账户")
    private String account;

    @ApiModelProperty("用户名称")
    private String name;

    @ApiModelProperty("用户角色编码，0管理员 1普通用户")
    private String roleCode;

    @ApiModelProperty("最近登录时间")
    private LocalDateTime recentLoginTime;


}
