package com.supervision.service;

import com.supervision.model.DiagnosisPrimary;
import com.supervision.model.Disease;
import com.supervision.pojo.vo.DiagnosticBasisForPrimaryReqVO;
import com.supervision.pojo.vo.PrimaryConfirmReqVO;
import com.supervision.pojo.vo.RecordForPrimaryChooseVO;
import com.supervision.pojo.vo.SaveDiagnosisPrimaryReqVO;
import com.supervision.vo.ask.DiagnosticBasisForPrimaryResVO;
import com.supervision.vo.ask.DiagnosisPrimaryVO;
import com.supervision.vo.ask.ModifyPrimaryDiseaseInfoReqVO;
import io.swagger.annotations.ApiParam;

import java.util.List;

public interface AskPrimaryService {

    List<DiagnosisPrimaryVO> queryAskPrimaryList(String processId);

    List<Disease> queryPrimaryCanChooseList();

    void modifyPrimaryDiseaseInfo(ModifyPrimaryDiseaseInfoReqVO reqVO);

    void savePrimary(SaveDiagnosisPrimaryReqVO reqVO);

    RecordForPrimaryChooseVO queryRecordForPrimaryChoose(String processId);

    void confirmPrimaryByAskEnd(List<PrimaryConfirmReqVO> reqVOList);

    void deletePrimary(String id);

    List<DiagnosticBasisForPrimaryResVO> queryDiagnosticBasisListForPrimary(String processId,String primaryId);

}
