package com.supervision.service;

import com.supervision.model.ConfigDrug;
import com.supervision.model.TreatmentPlanRecord;
import com.supervision.pojo.vo.DealPlanResVO;
import com.supervision.vo.manage.TreatmentPlanTreeNode;

import java.util.List;

public interface TreatmentPlanService {
    boolean saveTreatmentPlanRecord(TreatmentPlanRecord treatmentPlanRecord);

    List<TreatmentPlanRecord> queryTreatmentPlanRecord(String processId, String disposalPlanType);

    boolean updateTreatmentPlanRecord(TreatmentPlanRecord treatmentPlanRecord);

    boolean deleteTreatmentPlanRecord(String id);

    boolean confirmTreatmentPlan(String processId,String status);

    List<ConfigDrug> getDrugList();

    List<TreatmentPlanTreeNode> queryTree(Integer disposalMethod);

    DealPlanResVO queryTreatmentPlanDetails(String processId);
}
