package com.supervision.manage.service;

import com.supervision.model.DiseasePhysical;
import com.supervision.vo.manage.DiseasePhysicalLocationNodeVo;
import com.supervision.vo.manage.DiseasePhysicalResVo;
import com.supervision.vo.manage.PhysicalLocationNode;

import java.util.List;

public interface DiseasePhysicalManageService {

    List<DiseasePhysicalResVo> queryListByDiseaseId(String diseaseId);

    DiseasePhysical savePhysical(DiseasePhysical diseasePhysical);

    boolean deletePhysical(String id);

    boolean updatePhysical(DiseasePhysical diseasePhysical);

    boolean deleteByDiseaseId(String diseaseId);

    List<DiseasePhysicalLocationNodeVo> queryTree(String diseaseId, String toolId);
}
