package com.supervision.manage.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.DiseaseQuestion;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import com.supervision.vo.manage.DiseaseQuestionResVo;

import java.util.List;

public interface DiseaseQuestionManageService {

    List<DiseaseQuestionResVo> queryPageByDiseaseId(String diseaseId);

    void batchSaveQuestion(List<DiseaseQuestion> diseaseQuestionList);

    boolean deleteDiseaseQuestion(String id);

    boolean deleteByDiseaseId(String diseaseId);

    Page<AskQuestionLibraryResVo> queryQaLibPageList(Integer pageNum, Integer pageSize, AskQuestionLibraryReqVo askQuestionLibraryReqVo);
}
