package com.supervision.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.Process;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.vo.result.DiagnoseProcessReqVo;
import com.supervision.vo.result.DiagnoseProcessResVo;
import org.apache.ibatis.annotations.Param;

/**
* @author flevance
* @description 针对表【vp_process(诊断进程表)】的数据库操作Mapper
* @createDate 2023-10-20 17:19:21
* @Entity com.supervision.model.Process
*/
public interface ProcessMapper extends BaseMapper<Process> {

    Page<DiagnoseProcessResVo> queryDiagnoseProcessPageList(Page<DiagnoseProcessResVo> page,
                                                            @Param("diagnoseProcess") DiagnoseProcessReqVo diagnoseProcessReqVo);
}




