package com.supervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.AskTemplateQuestionLibrary;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_ask_template_question_library(诊断问询意图问题库)】的数据库操作Service
* @createDate 2023-11-03 11:13:26
*/
public interface AskTemplateQuestionLibraryService extends IService<AskTemplateQuestionLibrary> {

    List<AskQuestionLibraryResVo> queryList(AskQuestionLibraryReqVo askQuestionLibraryReqVo);


    Page<AskQuestionLibraryResVo> queryPageList(Integer pageNum, Integer pageSize, AskQuestionLibraryReqVo askQuestionLibraryReqVo);
}
