package com.supervision.service;

import com.supervision.dto.CommonDictTreeDTO;
import com.supervision.model.CommonDic;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author Administrator
* @description 针对表【vp_common_dic(通用字典表)】的数据库操作Service
* @createDate 2023-11-23 10:52:22
*/
public interface CommonDicService extends IService<CommonDic> {

    /**
     * 根据group_code构建对应的字典树
     * @param groupCode 分组ID
     */
    List<CommonDictTreeDTO> queryCommonDictTree(String groupCode);

}
