package com.supervision.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.model.DiagnosisQaRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.ask.DiagnosisQaRecordHistoryResVO;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_diagnosis_qa_record(诊断问答记录表)】的数据库操作Service
* @createDate 2023-10-20 17:19:21
*/
public interface DiagnosisQaRecordService extends IService<DiagnosisQaRecord> {


    IPage<DiagnosisQaRecordHistoryResVO> queryByProcessId(String processId, Integer pageNum, Integer pageSize);
}
