package com.supervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.DiseasePhysical;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.manage.DiseasePhysicalResVo;
import com.supervision.vo.manage.DiseaseVo;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_disease_physical(疾病体格检查)】的数据库操作Service
* @createDate 2023-10-20 17:19:21
*/
public interface DiseasePhysicalService extends IService<DiseasePhysical> {

    List<DiseasePhysicalResVo> queryListByDiseaseId(String diseaseId);
}
