package com.supervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.DiseaseQuestion;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.manage.AskQuestionLibraryReqVo;
import com.supervision.vo.manage.AskQuestionLibraryResVo;
import com.supervision.vo.manage.DiseaseQuestionResVo;

import java.util.List;

/**
* @author Administrator
* @description 针对表【vp_disease_question_relation(疾病问题关联表)】的数据库操作Service
* @createDate 2023-11-23 14:06:54
*/
public interface DiseaseQuestionService extends IService<DiseaseQuestion> {

    List<DiseaseQuestionResVo> queryPageByDiseaseId(String diseaseId);

    Page<AskQuestionLibraryResVo> queryQaLibPageList(Integer pageNum, Integer pageSize, AskQuestionLibraryReqVo askQuestionLibraryReqVo);
}
