package com.supervision.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.Process;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.vo.result.DiagnoseProcessReqVo;
import com.supervision.vo.result.DiagnoseProcessResVo;

/**
* @author flevance
* @description 针对表【vp_process(诊断进程表)】的数据库操作Service
* @createDate 2023-10-20 17:19:21
*/
public interface ProcessService extends IService<Process> {



    Page<DiagnoseProcessResVo> queryUserDiagnoseProcessPageList(Page<DiagnoseProcessResVo> page, DiagnoseProcessReqVo diagnoseProcessReqVo);


}
