package com.supervision.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.model.DiseasePhysical;
import com.supervision.service.DiseasePhysicalService;
import com.supervision.mapper.DiseasePhysicalMapper;
import com.supervision.vo.manage.DiseasePhysicalResVo;
import com.supervision.vo.manage.DiseaseVo;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author flevance
* @description 针对表【vp_disease_physical(疾病体格检查)】的数据库操作Service实现
* @createDate 2023-10-20 17:19:21
*/
@Service
public class DiseasePhysicalServiceImpl extends ServiceImpl<DiseasePhysicalMapper, DiseasePhysical>
    implements DiseasePhysicalService{

    @Override
    public List<DiseasePhysicalResVo> queryListByDiseaseId(String diseaseId) {

        return super.getBaseMapper().queryListByDiseaseId(diseaseId);
    }
}




