package com.supervision.vo.ask;

import com.supervision.vo.result.ConfigAncillaryItemVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ConfigAncillaryItemResVO {

    /**
     * 主键id，为前端组件展示使用
     */
    private String id;

    private String itemName;


    @ApiModelProperty("标识 true:已选择 false:未选择")
    private boolean flag;

    private List<ConfigAncillaryItemVo> itemList;

    @ApiModelProperty("检查项id路径")
    private List<String> itemIdPath;
}
