package com.supervision.vo.ask;

import com.supervision.model.ConfigPhysicalTool;
import lombok.Data;

import java.util.List;

@Data
public class ConfigPhysicalToolResVO {


    /**
     * 无实际作用，供前端组件展示使用
     */
    private String id;
    /**
     * see @toolName
     */
    @Deprecated
    private String toolType;

    private String toolName;

    /**
     * 优先级,排序
     */
    private transient Integer priority;

    private List<ConfigPhysicalTool> toolList;
}
