package com.supervision.vo.ask;

import com.supervision.model.DiagnosisPrimary;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class DiagnosisPrimaryVO extends DiagnosisPrimary {

    private String primaryDiseaseName;

    @ApiModelProperty("问诊选中的ID列表")
    private List<String> askIdList;

    @ApiModelProperty("辅助检查选中的ID列表")
    private List<String> ancillaryIdList;

    @ApiModelProperty("体格检查选中的ID列表")
    private List<String> physicalIdList;


}
