package com.supervision.vo.ask;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class ProcessMedicalViewDetailResVo extends ProcessMedicalResVo{

    @ApiModelProperty("初步诊断疾病名")
    private List<String> primaryDiseaseNameList;

    @ApiModelProperty("体格检查名列表")
    private List<String> physicalDiagnosisNameList;

    @ApiModelProperty("辅助检查名列表")
    private List<String> ancillaryDiagnosisNameList;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("结束问诊日期")
    private LocalDateTime finishDiagnosisTime;

}
