package com.supervision.vo.manage;

import com.supervision.model.DiseaseQuestion;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


@Data
@EqualsAndHashCode(callSuper = true)
public class DiseaseQuestionResVo extends DiseaseQuestion {

    @ApiModelProperty("类目编码")
    private String itemCode;

    @ApiModelProperty("类目名称")
    private String itemName;

    @ApiModelProperty("问题列表")
    private List<String> questionList;

    @ApiModelProperty("回答内容")
    private String answer;


}
