package com.supervision.vo.result;

import lombok.Data;

@Data
public class PhysicalRecordByResultDAO {

    private String toolLocationName;

    private String recordId;

    /**
     * 是否必查 初步诊断依据
     */
    private Integer requireCheck;

    /**
     * 用户填写的证实诊断依据
     */
    private Integer recordBasisConfirmFlag;

    /**
     * 用户填写的鉴别诊断依据
     */
    private Integer recordBasisIdentificationFlag;

    /**
     * 正式诊断依据
     */
    private Integer basisConfirm;

    /**
     * 鉴别依据
     */
    private Integer basisIdentification;

    private String locationId;

    private String toolId;
}
