package com.supervision;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.socket.config.annotation.EnableWebSocket;

@SpringBootApplication
@MapperScan(basePackages = {"com.supervision.**.mapper"})
@EnableWebSocket
@EnableScheduling
public class VirtualPatientApplication {

    public static void main(String[] args) {
        SpringApplication.run(VirtualPatientApplication.class, args);
    }


}
