package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class PrimaryConfirmReqVO {

    @ApiModelProperty("初步诊断ID")
    private String primaryId;

    private String processId;


    @ApiModelProperty("是否排除(0排除1确诊)")
    private Integer excludeFlag;

    @ApiModelProperty("诊断依据列表")
    private List<DiagnosticBasisForPrimaryReqVO> diagnosticBasisList;
}
