package com.supervision.service;

import com.supervision.model.ConfigAncillaryItem;
import com.supervision.pojo.vo.AskAncillaryBatchReqVO;
import com.supervision.vo.ask.AncillaryItemReqVo;
import com.supervision.vo.ask.AskAncillaryHistoryResVO;
import com.supervision.pojo.vo.AskAncillaryResultReqVO;
import com.supervision.vo.ask.ConfigAncillaryItemResVO;
import com.supervision.vo.ask.DiagnosisAncillaryRecordVo;

import java.util.List;
import java.util.Map;

public interface AskAncillaryService {

    List<ConfigAncillaryItemResVO> queryAncillaryItemList(AncillaryItemReqVo ancillaryItemReqVo);

    Map<String, List<ConfigAncillaryItem>> queryAncillaryItemTree();

    void execAskAncillaryBatch(List<AskAncillaryBatchReqVO> reqVO);

    @Deprecated
    DiagnosisAncillaryRecordVo execAskAncillaryResult(AskAncillaryResultReqVO reqVO);

    List<AskAncillaryHistoryResVO> queryAskAncillaryHistory(String processId);
}
