package com.supervision.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.vo.manage.MedicalRecPageResVO;
import com.supervision.vo.result.DiagnoseProcessReqVo;
import com.supervision.vo.result.DiagnoseProcessResVo;


public interface DiagnoseHallService {

    boolean achieveDiagnoseResource();

    IPage<DiagnoseProcessResVo> queryDiagnoseProcessPageList(Integer pageNum, Integer pageSize,
                                                            DiagnoseProcessReqVo diagnoseProcessReqVo);

    IPage<MedicalRecPageResVO> queryMedicalRecPageList(Integer pageNum, Integer pageSize);
}
